module dmd.VoidInitializer;

import dmd.Initializer;
import dmd.Type;
import dmd.Loc;
import dmd.Scope;
import dmd.Expression;
import dmd.OutBuffer;
import dmd.HdrGenState;

import dmd.backend.dt_t;

class VoidInitializer : Initializer
{
    Type type = null;		// type that this will initialize to

    this(Loc loc)
	{
		super(loc);
	}
	
    Initializer syntaxCopy()
	{
		assert(false);
	}
	
    Initializer semantic(Scope sc, Type t)
	{
		//printf("VoidInitializer.semantic(t = %p)\n", t);
		type = t;
		return this;
	}
	
    Expression toExpression()
	{
		assert(false);
	}
	
    void toCBuffer(OutBuffer buf, HdrGenState* hgs)
	{
		assert(false);
	}

    dt_t* toDt()
	{
		assert(false);
	}

    VoidInitializer isVoidInitializer() { return this; }
}